Skip to main content
Version: v3 (preview)

Get Many Retailers​

Returns retailers across every market, including archived retailers, sorted by name.

Query Parameters
  • page integer required

    Page to return. Pages start at 0

  • limit integer required

    Possible values: >= 1 and <= 500

    Number of records per page, up to 500

  • marketId uuid

    Only return records in this Nabis market. See Get Many Markets for market IDs

  • isOnMarketplace boolean

    Only return retailers that can (true) or can't (false) order from your organization on the Nabis marketplace

Responses

Successful Operation


Schema
  • data object[]
  • id uuid

    Nabis ID of the retailer. Other endpoints refer to it as licensedLocationId

  • name string

    Name of the retailer

  • doingBusinessAs string

    The doing business as name of the retailer

  • organizationId uuid

    Nabis ID of the organization the retailer belongs to

  • organizationName string

    Name of the organization the retailer belongs to

  • marketId uuid

    Nabis ID of the market the retailer is in

  • address1 string

    First line of the retailer's address

  • address2 string

    Second line of the retailer's address

  • city string

    City of the retailer

  • state string

    US state of the retailer

  • zip string

    Zip code of the retailer

  • taxIdentificationNumber string

    Tax identification number of the retailer

  • w9Link string

    URL to the retailer's W-9

  • sellerPermitLink string

    URL to the retailer's seller permit

  • creditClass string

    Possible values: [EXCELLENT, GOOD, FAIR, WEAK, POOR, NOT_APPLICABLE]

    Nabis credit class of the retailer. NOT_APPLICABLE when the retailer has not been rated.

  • isOnMarketplace boolean

    Whether the retailer can order from your organization on the Nabis marketplace. false when your organization has blocked the retailer or has disabled the marketplace.

  • isArchived boolean

    Whether the retailer has been archived

  • page integer

    The page returned

  • totalCount integer

    Total number of records across all pages

  • totalNumPages integer

    Total number of pages

  • nextPage integer

    The next page, or null on the last page

  • prevPage integer

    The previous page, or null on the first page